# Makefile fuer cksum/

EXTRA_FLAGS = -I.

OBJ = md5.o sha1.o sha2.o hmac_sha2.o

H_INTERN = ../config.h cksum.h


all: $(OBJ)

clean:
	rm -f *.o


# *** Objekte ***

md5.o: md5.c $(H_INTERN)
	$(CC) $(CFLAGS) $(EXTRA_FLAGS) $(SOFLAGS) $(CF_DEFINE) -c md5.c

sha1.o: sha1.c $(H_INTERN)
	$(CC) $(CFLAGS) $(EXTRA_FLAGS) $(SOFLAGS) $(CF_DEFINE) -c sha1.c

sha2.o: sha2.c $(H_INTERN)
	$(CC) $(CFLAGS) $(EXTRA_FLAGS) $(SOFLAGS) $(CF_DEFINE) -c sha2.c

hmac_sha2.o: hmac_sha2.c $(H_INTERN)
	$(CC) $(CFLAGS) $(EXTRA_FLAGS) $(SOFLAGS) $(CF_DEFINE) -c hmac_sha2.c

